Bug 696147

Summary: Providing native systemd file for upcoming F15 Feature Systemd
Product: [Fedora] Fedora Reporter: Tomasz Torcz <tomek>
Component: mrtgAssignee: Vitezslav Crhonek <vcrhonek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: johannbg, vcrhonek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mrtg-2.17.2-4.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-30 15:11:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713562    
Attachments:
Description Flags
mrtg.service
none
mrtg.timer none

Description Tomasz Torcz 2011-04-13 08:34:50 EDT
Created attachment 491742 [details]
mrtg.service

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].


If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html


Notes:
MRTG has ability to run as a daemon.  Fedora package do not provide initscript to use this feature. Attached mrtg.service is such script.
Also attached is mrtg.timer, which replaces crontab entry, allowing mrtg to run as usual (not daemon) but to be run by systemd, not crond.

I recommend not enabling any of it during installation in F15.  Conscious admin can enable what he wants and disable crond at the same time.

In F16 I suggest not shipping cron.d file anymore.
Comment 1 Tomasz Torcz 2011-04-13 08:36:02 EDT
Created attachment 491744 [details]
mrtg.timer
Comment 2 Fedora Update System 2011-09-08 15:11:49 EDT
mrtg-2.17.2-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mrtg-2.17.2-4.fc16
Comment 3 Fedora Update System 2011-09-08 16:49:42 EDT
Package mrtg-2.17.2-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mrtg-2.17.2-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mrtg-2.17.2-4.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-09-30 15:11:49 EDT
mrtg-2.17.2-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.